#
# spec file for package gnome-keyring (Version 0.4.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    CASA CASA-devel Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libgssapi libjpeg libmudflap libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools mono-core ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-keyring
BuildRequires:  CASA-devel gtk2-devel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Version:        0.4.6
Release:        18.21
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later, LGPL v2 or later
Summary:        GNOME Keyring Password Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
Patch1:         gnome-keyring-use-markup-correctly.patch
Patch2:         gnome-keyring-single-unlock-dialog-hack.patch
Patch3:         gnome-keyring-0.4.6-casa-integration.patch
Patch4:         gnome-keyring-hungarian-po.patch
Patch5:         gnome-keyring-save-acls.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME Keyring Manager is a program that keeps passwords and other
secrets for users. It is run as a daemon in the session, similar to
ssh-agent, and other applications can locate it by an environment
variable.



Authors:
--------
    Alexander Larsson <alexl@redhat.com>

%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME Keyring Password Manager
Requires:       %{name} = %{version} glib2-devel

%description devel
GNOME Keyring Manager is a program that keeps passwords and other
secrets for users. It is run as a daemon in the session, similar to
ssh-agent, and other applications can locate it by an environment
variable.



Authors:
--------
    Alexander Larsson <alexl@redhat.com>

%prep
%setup -q
%patch1
%patch2
%patch3 -p1
%patch4
%patch5 -p1

%build
autoreconf -f -i
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{prefix} \
    --sysconfdir=%sysconfdir \
    --libdir=%{prefix}/%{_lib} \
    --libexecdir=%{prefix}/lib/%{name}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
%{prefix}/%{_lib}/*.so.*
%{prefix}/lib/%{name}
%{prefix}/bin/*

%files devel
%defattr (-, root, root)
%{prefix}/%{_lib}/*.*a
%{prefix}/%{_lib}/*.so
%{prefix}/%{_lib}/pkgconfig/*.pc
%{prefix}/include/*

%changelog
* Fri Aug 03 2007 - crivera@suse.de
- Add a patch to properly save the keyring acls.  That was backported
  from a newer gnome-keyring.  The SWAMP ID for this is 11142.
* Tue Feb 20 2007 - jhargadon@suse.de
- added gnome-keyring-hungarian-po.patch (#245027)
* Sat May 13 2006 - hpj@suse.de
- Add a patch to provide better CASA integration. CASAManager is
  allowed by default, and the default keyring's password is saved
  in CASA, making most of the annoying dialogs go away. Part of
  fix for Novell bug #174093.
* Tue May 09 2006 - joeshaw@suse.de
- Add a patch to only display the "unlock keyring" dialog once
  per keyring, no matter how many different apps request it.
  (bnc #170587)  Also fixes a crash in gnome-keyring-ask if you
  clicked "Deny".
* Mon May 08 2006 - joeshaw@suse.de
- Add a patch to correctly escape for markup, and set the markup
  flag on the label.  (bnc #172603)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 0.4.6
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 0.4.5
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 0.4.4 (GNOME 2.12)
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 0.4.3
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 0.4.2 (GNOME 2.10).
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 0.4.1.
* Tue Nov 23 2004 - gekker@suse.de
- Update version to 0.4.0
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Mon Jun 28 2004 - hhetter@suse.de
- reduce #neededforbuild
* Mon Apr 26 2004 - sbrabec@suse.cz
- New SuSE package, version 0.2.1 (GNOME 2.6).
